{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.info_book.general": {
      "states": {
        "default": {
          "transitions": [
            { "spawn": "q.is_ignited" },
            {
              "scroll": "Math.abs(v.page - q.property('silverlabs_nat:page_index')) > 2"
            },
            { "turn_page": "v.page < q.property('silverlabs_nat:page_index')" },
            { "previous_page": "v.page > q.property('silverlabs_nat:page_index')" },
            { "pickup": "q.is_shaking" }
          ]
        },
        "spawn": {
          "animations": ["spawn", "spawn_pages"],
          "transitions": [{ "default": "q.all_animations_finished" }]
        },
        "turn_page": {
          "animations": ["turn_page", "turn_pages"],
          "transitions": [{ "default": "q.any_animation_finished" }]
        },
        "previous_page": {
          "animations": ["previous_page", "previous_page_pages"],
          "transitions": [{ "default": "q.any_animation_finished" }]
        },
        "scroll": {
          "animations": ["scroll", "scroll_through_pages"],
          "transitions": [{ "default": "q.any_animation_finished" }]
        },
        "pickup": {
          "animations": ["pickup", "pickup_pages"]
        }
      }
    }
  }
}
